# -- traer los imports del archivo "imports.py"
from imports import *


# -- constante H0, ecuación 7 del paper y pie de nota en página 4 del paper
H0 = 70
# -- H0 esta en km/(s Mpc) convertirlo a km/(s pc)
H0 = ((H0 * units.km / (units.s * units.Mpc)).to('km / s pc')).value
G = ((constants.G * constants.M_sun / constants.pc).to('km2 /s2') * units.pc /units.M_sun).value

# -- parametros iniciales para el ajuste (leastsquare) para el modelo NFW 
# -- p0: son los valores de la galaxia simulada Dwarf1 del paper
M200 = (3e10 * units.M_sun).value
c = 11

# -- parametros iniciales para el ajuste (leastsquare) para el modelo ISO
# -- p0: tienen "inspiracion" de la gráfica derecha de la tabla 14 (pag 20) del paper 
Rc = ((10.78 * units.kpc).to('pc')).value
rho0 = (np.exp(15.278)*1e-1 * units.M_sun / units.pc **3 ).value
